// Package balance...
//
// Description : balance...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2021-10-19 2:26 下午
package balance

import "sync"

// base ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2:26 下午 2021/10/19
type base struct {
	lock *sync.RWMutex
}

// Lock ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2:27 下午 2021/10/19
func (b *base) Lock() {
	b.lock.Lock()
}

// Unlock ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2:27 下午 2021/10/19
func (b *base) Unlock() {
	b.lock.Unlock()
}

// RLock ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2:28 下午 2021/10/19
func (b *base) RLock() {
	b.lock.RLock()
}

// RUnlock ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2:28 下午 2021/10/19
func (b *base) RUnlock() {
	b.lock.RUnlock()
}
