// Package excel...
//
// Description : excel...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2021-11-19 11:57 上午
package excel

// ReadResult ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 11:57 上午 2021/11/19
type ReadResult struct {
	Error  error                               // 异常信息
	Result map[string][]map[string]interface{} // 查询结果 sheet => dataList
}

// SheetData ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 12:35 下午 2021/11/19
type SheetData struct {
	IsDefault bool            // 是否默认工作表
	Name      string          // sheet 名称
	Data      [][]interface{} // 数据列表
}

var (
	// WordMap 单元格序号映射
	WordMap = map[int]string{
		0:  "A",
		1:  "B",
		2:  "C",
		3:  "D",
		4:  "E",
		5:  "F",
		6:  "G",
		7:  "H",
		8:  "I",
		9:  "J",
		10: "K",
		11: "L",
		12: "M",
		13: "N",
		14: "O",
		15: "P",
		16: "Q",
		17: "R",
		18: "S",
		19: "T",
		20: "U",
		21: "V",
		22: "W",
		23: "X",
		24: "Y",
		25: "Z",
	}
)
