// Package proxy ...
//
// Description : 代理转发的配置
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2021-08-06 3:34 下午
package proxy

// Server 服务器配置
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 3:34 下午 2021/8/6
type Server struct {
	Scheme                string            // 转发scheme
	Host                  string            // 服务器地址
	URI                   string            // 转发接口
	RewriteRequestHeader  map[string]string // 重写请求header
	RewriteResponseHeader map[string]string // 重写响应header
	RewriteResponseData   map[string]string // 重写响应数据
}
